aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorEinhard Leichtfuß <alguien@respiranto.de>2018-04-02 04:57:15 +0200
committerEinhard Leichtfuß <alguien@respiranto.de>2018-04-02 04:57:15 +0200
commit968e70b04478b3a1ecdab16f75e455cd3e6bab3c (patch)
treeaf78794d6478749a6cb90c22504387ab2a6af431
parent6eade70abe79298f62c97fae9da48bd41c4a379e (diff)
Inform about resolved dependencies
It might get boring elsewise.
-rwxr-xr-xauria.sh4
1 files changed, 2 insertions, 2 deletions
diff --git a/auria.sh b/auria.sh
index 387aaee..1eb9ac5 100755
--- a/auria.sh
+++ b/auria.sh
@@ -241,8 +241,8 @@ function install_full
#inform "Fetching package information from AUR..."
subinform "Resolving dependencies..."
resolve_deps "$pkg" $itype '' || return $?
- make_pkgorder || return $?
echo
+ make_pkgorder || return $?
install_list
}
@@ -538,6 +538,7 @@ function resolve_deps
new=false
pkgver="${aur_pkgver["$pkg"]}"
else
+ subinform " $pkgstr"
new=true
rpc info "${tmp}/json" quiet "$pkg" || return $?
if [[ -n "$retstr" ]]
@@ -586,7 +587,6 @@ function resolve_deps
local dep
for dep in "${deps[@]}" "${makedeps[@]}"
do
- #echo $dep
resolve_deps "$dep" dep "$pkg" || return $?
done